<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <select th:name="${prefix + data.id}">
        <option th:each="idx : ${#numbers.sequence(type.min, type.max)}" th:value="${idx}" th:text="${idx}" th:selected="${value == idx}" />
    </select>
</div>